# BasicLockable Class Reference

There are two basic methods of using this class. More...

`#include <BasicLockable.h>`

Inheritance diagram for BasicLockable:

[legend]
List of all members.

## Public Member Functions

| BasicLockable ()
| ~BasicLockable ()
void | lock ()
| Lock the mutex.
void | unlock ()
| Unlock the mutex.

## Protected Attributes

pthread_mutex_t | mutex

## Detailed Description

There are two basic methods of using this class.

1. A class can inherit from BasicLockable. This alows code to lock on the inherited object itself.
2. The user can create instances of BasicLockable directly.

## Constructor & Destructor Documentation

BasicLockable::BasicLockable | ( |  | ) |

BasicLockable::~BasicLockable | ( |  | ) |

## Member Function Documentation

void BasicLockable::lock | ( |  | ) | `[inline]`

| Lock the mutex.

void BasicLockable::unlock | ( |  | ) | `[inline]`

| Unlock the mutex.

## Member Data Documentation

pthread_mutex_t BasicLockable::mutex `[protected]`

The documentation for this class was generated from the following files:

- BasicLockable.h
- BasicLockable.cpp